Create an x402 payment intent
Create an x402 payment intent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
/v1/agent-payments/runtime/intents/x402Authorization
agentKey Paste the Agent Key bound to one payment agent. Agent Keys only work on Runtime endpoints.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/runtime/intents/x402" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "idempotency_key": "string", "method": "GET", "resource_url": "http://example.com", "requirements": { "x402_version": 2, "scheme": "exact", "network": "string", "asset": "string", "pay_to": "string", "max_amount_atomic": "string", "max_timeout_seconds": 1, "extra": { "property1": null, "property2": null } } }'{
"intent_id": "string",
"status": "created",
"approval_id": "string",
"approval_expires_at": "2019-08-24T14:15:22Z"
}How is this guide?
Last updated
List recent payments for the authenticated payment agent GET
List recent payments for the authenticated payment agent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters.
Preview an x402 purchase without creating an intent POST
Preview an x402 purchase with StableOps before creating an Intent, including policy, approval, wallet, risk-gate, and projected budget outcomes.